TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NetObject Class Reference

Inherits SimObject.

## Public Member Functions
void | clearScopeToClient (client)
Integer | getGhostID ()
void | scopeToClient (client)
void | setScopeAlways ()
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

void clearScopeToClient | ( | client |  | ) |

Use the clearScopeToClient method to undo the effects of a previous call to scopeToClient.

Parameters

  client | The ID of the client to stop forcing scoping this object for.

Returns
  No return value.

See also
  scopeToClient

Integer getGhostID | ( |  | ) |

Returns
  Returns the ghost ID of the object

void scopeToClient | ( | client |  | ) |

Use the scopeToClient method to force this object to be SCOPE_ALWAYS on client. When an object is SCOPE_ALWAYS it is always ghosted. Therefore, if you have an object that should always be ghosted to a client, use this method.

Parameters

  client | The ID of the client to force this object to be SCOPE_ALWAYS for.

Returns
  No return value.

See also
  clearScopeToClient, setScopeAlways

void setScopeAlways | ( |  | ) |

Use the setScopeAlways method to force an object to be SCOPE_ALWAYS for all clients. When an object is SCOPE_ALWAYS it is always ghosted. Therefore, if you have an object that should always be ghosted to all clients, use this method.

Returns
  No return value.

See also
  scopeToClient